# Generated by the protocol buffer compiler.  DO NOT EDIT!
# Source: google/cloud/video/transcoder/v1beta1/services.proto for package 'google.cloud.video.transcoder.v1beta1'
# Original file comments:
# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require 'grpc'
require 'google/cloud/video/transcoder/v1beta1/services_pb'

module Google
  module Cloud
    module Video
      module Transcoder
        module V1beta1
          module TranscoderService
            # Using the Transcoder API, you can queue asynchronous jobs for transcoding
            # media into various output formats. Output formats may include different
            # streaming standards such as HTTP Live Streaming (HLS) and Dynamic Adaptive
            # Streaming over HTTP (DASH). You can also customize jobs using advanced
            # features such as Digital Rights Management (DRM), audio equalization, content
            # concatenation, and digital ad-stitch ready content generation.
            class Service

              include ::GRPC::GenericService

              self.marshal_class_method = :encode
              self.unmarshal_class_method = :decode
              self.service_name = 'google.cloud.video.transcoder.v1beta1.TranscoderService'

              # Creates a job in the specified region.
              rpc :CreateJob, ::Google::Cloud::Video::Transcoder::V1beta1::CreateJobRequest, ::Google::Cloud::Video::Transcoder::V1beta1::Job
              # Lists jobs in the specified region.
              rpc :ListJobs, ::Google::Cloud::Video::Transcoder::V1beta1::ListJobsRequest, ::Google::Cloud::Video::Transcoder::V1beta1::ListJobsResponse
              # Returns the job data.
              rpc :GetJob, ::Google::Cloud::Video::Transcoder::V1beta1::GetJobRequest, ::Google::Cloud::Video::Transcoder::V1beta1::Job
              # Deletes a job.
              rpc :DeleteJob, ::Google::Cloud::Video::Transcoder::V1beta1::DeleteJobRequest, ::Google::Protobuf::Empty
              # Creates a job template in the specified region.
              rpc :CreateJobTemplate, ::Google::Cloud::Video::Transcoder::V1beta1::CreateJobTemplateRequest, ::Google::Cloud::Video::Transcoder::V1beta1::JobTemplate
              # Lists job templates in the specified region.
              rpc :ListJobTemplates, ::Google::Cloud::Video::Transcoder::V1beta1::ListJobTemplatesRequest, ::Google::Cloud::Video::Transcoder::V1beta1::ListJobTemplatesResponse
              # Returns the job template data.
              rpc :GetJobTemplate, ::Google::Cloud::Video::Transcoder::V1beta1::GetJobTemplateRequest, ::Google::Cloud::Video::Transcoder::V1beta1::JobTemplate
              # Deletes a job template.
              rpc :DeleteJobTemplate, ::Google::Cloud::Video::Transcoder::V1beta1::DeleteJobTemplateRequest, ::Google::Protobuf::Empty
            end

            Stub = Service.rpc_stub_class
          end
        end
      end
    end
  end
end
